For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardProduct
DocsAPI ReferenceArchitecture
DocsAPI ReferenceArchitecture
  • Overview
    • API reference overview
  • Panicly Gateway API
      • GETList available models
LogoLogo
DashboardProduct
Panicly Gateway APIModels

List available models

||View as Markdown|
GET
/v1/models
GET
/v1/models
$curl https://panicly.vercel.app/v1/models \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "object": "list",
3 "data": [
4 {
5 "id": "gpt-4-turbo",
6 "object": "model",
7 "owned_by": "openai"
8 },
9 {
10 "id": "text-davinci-003",
11 "object": "model",
12 "owned_by": "openai"
13 },
14 {
15 "id": "code-cushman-001",
16 "object": "model",
17 "owned_by": "openai"
18 }
19 ]
20}
Returns model inventory observed or discovered for the connected provider.
Was this page helpful?
Previous

Create a legacy completion

Built with

Authentication

AuthorizationBearer

Panicly project key supplied as Authorization: Bearer pk_live_....

OR
x-panicly-keystring

Panicly project key supplied directly in the x-panicly-key header.

Response

Model list.
objectstring
datalist of objects